Skip to main content
POST
Edit an agent from instructions

Authorizations

Authorization
string
header
default:cr_sk_your_key_here
required

Account API key from Developer Console. Keys start with cr_sk_.

Path Parameters

agent_id
string<uuid>
required

Personal CREAO agent to edit.

Body

application/json
instructions
string
required

Natural-language description of the changes to make to the agent.

Required string length: 1 - 65536
model
string

Model id to run with (for example, anthropic/claude-haiku-4-5). Omit to use the default model, currently anthropic/claude-sonnet-5. Supported ids: GET /v1/models. Unknown ids return 400 MODEL_NOT_SUPPORTED; models not available on your plan return 403 MODEL_NOT_ALLOWED.

Maximum string length: 100
release_note
string | null

Optional caller-provided release note for the persisted agent update.

Maximum string length: 2000

Response

Agent edit accepted.

run_id
string<uuid>
required

Backing Developer API run ID for polling/debugging.

agent_id
string<uuid>
required
status
enum<string>
required
Available options:
queued,
running,
succeeded,
failed,
cancelled
result
object

Terminal edit result when the edit succeeds.

usage
object
error
object
created_at
string<date-time>
started_at
string<date-time> | null
completed_at
string<date-time> | null